# PhasicFlow: src/phasicFlow/types/types.hpp File Reference

types.hpp File Reference
Include dependency graph for types.hpp:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

using | int8x3 = triple< int8 >
using | int16x3 = triple< int16 >
using | int32x3 = triple< int32 >
using | int64x3 = triple< int64 >
using | uint16x3 = triple< uint16 >
using | uint32x3 = triple< uint32 >
using | labelx3 = triple< label >
using | realx3 = triple< real >
using | uint16x3x3 = triple< uint16x3 >
using | uint32x3x3 = triple< uint32x3 >
using | int32x3x3 = triple< int32x3 >
using | labelx3x3 = triple< labelx3 >
using | realx3x3 = triple< realx3 >
using | real4 = quadruple< real >

## Functions

template<>
word | basicTypeName< int8x3 > ()
template<>
word | basicTypeName< int16x3 > ()
template<>
word | basicTypeName< int32x3 > ()
template<>
word | basicTypeName< int64x3 > ()
template<>
word | basicTypeName< uint16x3 > ()
template<>
word | basicTypeName< uint32x3 > ()
template<>
word | basicTypeName< labelx3 > ()
template<>
word | basicTypeName< realx3 > ()
template<>
word | basicTypeName< uint16x3x3 > ()
template<>
word | basicTypeName< uint32x3x3 > ()
template<>
word | basicTypeName< realx3x3 > ()
template<>
word | basicTypeName< real4 > ()